import React from 'react';
import PropTypes from 'prop-types';
import { Rate } from 'antd';
import { StarFilled } from '@ant-design/icons';

const PandaRate = (props) => {
  return <Rate {...props} />;
};

PandaRate.defaultProps = {
  allowClear: true, // 是否允许再次点击后清除
  allowHalf: false, // 是否允许半选
  autoFocus: false, // 自动获取焦点
  character: <StarFilled />, // 自定义字符
  className: 'panda-rate', // 自定义样式类名
  count: 5, // star 总数
  defaultValue: 0, // 默认值
  disabled: false, // 只读，无法进行交互
  style: {}, // 自定义样式对象
  tooltips: '', // 自定义每项的提示信息
  value: 0, //	当前数，受控值
  onBlur: () => {}, // 失去焦点时的回调
  onChange: (value) => {
    return value;
  }, // 选择时的回调
  onFocus: () => {}, //	获取焦点时的回调
  onHoverChange: (value) => {
    return value;
  }, // 鼠标经过时数值变化的回调
  onKeyDown: () => {}, // 按键回调
};

PandaRate.propTypes = {
  allowClear: PropTypes.bool, // 是否允许再次点击后清除
  allowHalf: PropTypes.bool, // 是否允许半选
  autoFocus: PropTypes.bool, // 自动获取焦点
  character: PropTypes.element, // 自定义字符
  className: PropTypes.string, // 自定义样式类名
  count: PropTypes.number, // star 总数
  defaultValue: PropTypes.number, // 默认值
  disabled: PropTypes.bool, // 只读，无法进行交互
  style: PropTypes.object, // 自定义样式对象
  tooltips: PropTypes.string, // 自定义每项的提示信息
  value: PropTypes.number, //	当前数，受控值
  onBlur: PropTypes.func, // 失去焦点时的回调
  onChange: PropTypes.func, // 选择时的回调
  onFocus: PropTypes.func, //	获取焦点时的回调
  onHoverChange: PropTypes.func, // 鼠标经过时数值变化的回调
  onKeyDown: PropTypes.func, // 按键回调
};

export default PandaRate;
